Bug 1462131 - When new build completed the latest image info not updated to the deploymentconfig [NEEDINFO]
When new build completed the latest image info not updated to the deploymentc...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Deployments (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ---
: 3.7.0
Assigned To: Tomáš Nožička
zhou ying
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 05:28 EDT by zhou ying
Modified: 2017-09-26 08:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-26 08:48:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (mfojtik)


Attachments (Terms of Use)

  None (edit)
Description zhou ying 2017-06-16 05:28:31 EDT
Description of problem:
Trigger new build, when the build completed the latest image info updated to the istag, but not updated to deploymentconfig, so no new deploy triggered.

Version-Release number of selected component (if applicable):
openshift v3.6.106
kubernetes v1.6.1+5115d708d7
etcd 3.2.0

How reproducible:
always

Steps to Reproduce:
1. Login Openshift and create project;
2. Create app ;
   `oc new-app centos/ruby-22-centos7~https://github.com/openshift/ruby-ex.git`
3. After the first build completed, trigger new build, check the istag and deploymentconfig

Actual results:
3. The istag updated with the latest image info, but the deploymentconfig not updated. 

Expected results:
3. Should update the deploymentconfig with the latest image info , and trigger new deploy automaticly.

Additional info:
Comment 1 Clayton Coleman 2017-06-20 00:36:41 EDT
This is probably the same issue as https://github.com/openshift/origin/issues/14725
Comment 2 Tomáš Nožička 2017-06-20 06:44:11 EDT
I can reproduce it. Seems like there is problem with image trigger not seeing the new tag:

I0620 10:02:48.012872   21267 factory.go:185] Image stream "ruby-ex" updated.
I0620 10:02:48.012969   21267 image_trigger_controller.go:342] Started syncing image stream "test/ruby-ex"
I0620 10:02:48.012985   21267 image_trigger_controller.go:344] Finished syncing image stream "test/ruby-ex" (31.571µs)
I0620 10:02:48.013028   21267 image_trigger_controller.go:370] Started syncing resource "deploymentconfigs.apps.openshift.io/test/ruby-ex"
I0620 10:02:48.013085   21267 deploymentconfigs.go:238] Deployment config ruby-ex has not changed

On consequent runs it sometimes succeeds. Seems racy... I will investigate further...
Comment 3 Tomáš Nožička 2017-06-20 08:05:24 EDT
It will also deploy after master is restarted so I am suspecting caches not being synced
Comment 4 Tomáš Nožička 2017-06-21 09:10:38 EDT
PR in place: https://github.com/openshift/origin/pull/14773
Comment 7 zhou ying 2017-06-29 22:35:53 EDT
Verify this issue on latest OCP:
openshift v3.6.126.4
kubernetes v1.6.1+5115d708d7
etcd 3.2.0
When image changes will trigger new deployment.

Note You need to log in before you can comment on or make changes to this bug.